Skip to main content

Rewriter

Rewrite text content using various AI models through the 1min.AI API. This endpoint supports multiple language models for rewriting content with specified tone and word count parameters.

Available Models​

Loading available models...

Request Parameters​

All models share the same request structure:

Field NameTypeSupported ValueDescriptionRequired
typetextREWRITERFeature name✔️
modeltextSee available modelsModel identifier✔️
conversationIdtextREWRITERConversation ID✔️
promptObject.tonestringinformativeTone of rewrite✔️
promptObject.numberOfWordnumber10Number of words✔️
promptObject.promptstringorangeText to rewrite✔️

Endpoint​

Request Headers​

FieldValue
API-KEY<api-key>
Content-Typeapplication/json

Code Example​

curl --location 'https://api.1min.ai/api/features' \
--header 'API-KEY: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"type": "REWRITER",
"model": "gpt-4o",
"conversationId": "REWRITER",
"promptObject": {
"tone": "informative",
"numberOfWord": 10,
"prompt": "The cat is orange"
}
}'

Interactive Playground​

Try the API directly in your browser:

Loading interactive playground...

Response Format​

{}